seq2id {lumi} | R Documentation

## Transfer a nucleotide sequence as a nuID

### Description

The nuID (nucleotide universal identifier) is uniquely corresponding to probe sequence. The nuID is also self-identification and error checking

### Usage

    seq2id(seq)

### Arguments

`seq` | a nucleotide sequence composed of A, C, G, T (U).

### Details

The nuID is a exact mapping of nucleotide sequence based on Base64 encoding scheme. A character set A-Z, a-z, 0-9, "_" and "." is used to represent to the base-64 numbers of 0-63. The first character of nuID is a checking code, which provide information of both the number of padded "A"s at the nucleotide sequence and error checking. Please refer to reference for more details.

### Value

A string represents nuID

### Author(s)

Pan Du

### References

Du, P., Kibbe, W.A. and Lin, S.M., "nuID: A universal naming schema of oligonucleotides for Illumina, Affymetrix, and other microarrays", Biology Direct 2007, 2:16 (31May2007).

### See Also

`id2seq`

### Examples

    seq <- 'ACGTAAATTTCAGTTTAAAACCCCCCG'
    id <- seq2id(seq)
    id
    id2seq(id)

[Package lumi version 1.10.2 Index]